tundertaker: fix tomb binary detection - tomb - the crypto undertaker
 (HTM) git clone git://parazyd.org/tomb.git
 (DIR) Log
 (DIR) Files
 (DIR) Refs
 (DIR) README
 (DIR) LICENSE
       ---
 (DIR) commit 199ce8008c9129c89c62fcee47264d293468e067
 (DIR) parent df2348381e3ca373202fdd938abe77eaf285accc
 (HTM) Author: boyska <piuttosto@logorroici.org>
       Date:   Sun, 12 Aug 2012 00:57:13 +0200
       
       undertaker: fix tomb binary detection
       
       Diffstat:
         M src/undertaker                      |       6 ++++--
       
       1 file changed, 4 insertions(+), 2 deletions(-)
       ---
 (DIR) diff --git a/src/undertaker b/src/undertaker
       t@@ -30,10 +30,12 @@ TRAPKILL() die "KILL signal caught, undertaker aborting."
        TRAPSTOP() die "STOP signal caught, undertaker aborting."
        
        # first of all source the tomb core functions
       -which tomb > /dev/null
       -if [[ $? != 0 ]]; then
       +TOMBBIN=$(dirname $(readlink -f $0))/tomb 
       +if ! [[ -x $TOMBBIN ]]; then
            print "$fg[red][!]$fg[white] Tomb command not found, operation aborted." >&2; exit 1
        fi
       +source $TOMBBIN ${tomb_opts[@]} source
       +TOMBEXEC=undertaker
        
        key_found() {
            # $1 is "url"